Package org.apache.sysds.runtime.controlprogram.parfor

# Class DataPartitionerRemoteSparkReducer

java.lang.Object
org.apache.sysds.runtime.controlprogram.parfor.DataPartitionerRemoteSparkReducer

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.VoidFunction<scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>>>`

public class DataPartitionerRemoteSparkReducer extends Object implements org.apache.spark.api.java.function.VoidFunction<scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>>>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DataPartitionerRemoteSparkReducer(String fnameNew, Types.FileFormat fmt, int replication)`

## Method Summary

Modifier and Type
Method
Description
`void`
`call(scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataPartitionerRemoteSparkReducer

public DataPartitionerRemoteSparkReducer(String fnameNew, Types.FileFormat fmt, int replication)

## Method Details

### call

public void call(scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.VoidFunction<scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>>>`
Throws:
  `Exception`